LibreOffice LibreOffice 25.8 SDK API Reference

Public Types | Exported Interfaces | List of all members
ColorScale Service Reference

`import"ColorScale.idl";`

Inheritance diagram for ColorScale:

## Public Types
typedef sequence< XColorScaleEntry > | ColorScaleEntries

## Exported Interfaces
interface | XConditionEntry

## Additional Inherited Members
Public Member Functions inherited from XConditionEntry
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Typedef Documentation

## ◆ ColorScaleEntries

sequence<XColorScaleEntry> ColorScaleEntries
| property

## Exported Interfaces

## ◆ XConditionEntry

interface XConditionEntry

The documentation for this service was generated from the following file:

- com/sun/star/sheet/ColorScale.idl